curl --request PUT \
--url https://api.leadping.ai/lead-statuses/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"color": "<string>",
"sortOrder": 123
}
'import requests
url = "https://api.leadping.ai/lead-statuses/{id}"
payload = {
"name": "<string>",
"color": "<string>",
"sortOrder": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.leadping.ai/lead-statuses/{id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"name\": \"<string>\",\n \"color\": \"<string>\",\n \"sortOrder\": 123\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.put("https://api.leadping.ai/lead-statuses/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"color\": \"<string>\",\n \"sortOrder\": 123\n}")
.asString();const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', color: '<string>', sortOrder: 123})
};
fetch('https://api.leadping.ai/lead-statuses/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.leadping.ai/lead-statuses/{id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"color\": \"<string>\",\n \"sortOrder\": 123\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.leadping.ai/lead-statuses/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'color' => '<string>',
'sortOrder' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": "<string>",
"organizationId": "<string>",
"name": "<string>",
"color": "<string>",
"category": "Open",
"sortOrder": 123,
"isArchived": true,
"modifiedAt": "2023-11-07T05:31:56Z"
}{
"type": "about:blank",
"title": "Bad Request",
"status": 400,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Unauthorized",
"status": 401,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Forbidden",
"status": 403,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Not Found",
"status": 404,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Too Many Requests",
"status": 429,
"detail": "The request could not be completed."
}Update an organization lead status
Updates the name, color, and display order of a lead status owned by the current organization so pipeline stages remain clear and consistently organized.
Authorizations
Authorization header using the Bearer scheme. Accepted values are Leadping user JWT access tokens and WorkOS organization API keys beginning with sk_.
Path Parameters
The unique identifier of the lead status to update.
Body
The replacement lead status name, color, and display order.
Defines the editable values used to create or update a lead status.
Display name for the lead status.
Display color for the lead status.
Controlled lead status change categories used for reporting, automation, and analytics.
Open, Qualified, Converted, Lost, Invalid, Duplicate Relative display order for the lead status.
Response
OK
Describes an organization-defined lead status used to classify pipeline progress, drive automation, and report lifecycle outcomes.
Unique identifier for the lead status.
Identifier of the organization that owns the lead status.
Display name of the lead status.
Display color assigned to the lead status.
LeadStatusChange category represented by the lead status.
Open, Qualified, Converted, Lost, Invalid, Duplicate Relative display order of the lead status.
Indicates whether the lead status has been archived.
Date and time when the lead status was last modified.

